/**************************************************************************/
/*********       INTERFAZ BASICA TARJETA ACL-9112      ********************/
/**************************************************************************/
/********* Autor:     ANTONIO ROMEO TELLO              ********************/
/********* Paquete:   TARJETA_E_S                      ********************/
/********* Lenguaje:  ansi C                           ********************/
/********* Mision:    Proporciona herramientas para    ********************/
/*********            realizar la entradas/salida      ********************/
/*********            Analgica               .        ********************/
/*********            Modo disparo: por software.      ********************/
/*********            Sincronizacin: por encuesta.    ********************/
/********* Fecha:     ABRIL- 2005                      ********************/
/**************************************************************************/

#include <ansi_c.h>
#include "ACL_9112.h"
#include "tarjeta_E_S.h"

static U16 card=-1, card_number = 0;
static U16 range=AD_B_5_V; 

void init_9112 (void)
{
	double zero_value=0;
	card=Register_Card(PCI_9112, card_number); 		/* inicializa la tarjeta*/
	AO_9112_Config (card,0, -5);		   			/* configura la salida de la tarjeta*/
	zero_value=((zero_value*(-1))+10)/4;			/* conversion rango -10-->5 , 10-->0 */
	AO_VWriteChannel(card,0,zero_value);			/* escribir accion nula*/
}

void release_9112 (void)
{
	Release_Card(card);  /*deshabilita tarjeta*/
}

double analog_input_9112 (int analog_channel)
{
	double read_value;
	AI_VReadChannel(card,analog_channel, range, &read_value);	/*leer salida*/
	read_value=read_value*(-2);									/* conversion -5--> 10 */
	return read_value;
}

void analog_output_9112 (double data)
{
	if (data < -10) data=-10;
	else if (data > 10) data=10;
	data=((data*(-1))+10)/4;			/* conversion rango -10-->5 , 10-->0 */
	AO_VWriteChannel(card,0,data);		/* escribir accion */
}


